<div class="ui fluid card">
    <div class="content">
      <div class="header">Reservation details</div>
      <div class="description">
        <span>User: {{this.reservation.username}}</span>
        <br>
        <span>Book: {{this.reservation.book.title}} ({{this.reservation.book.author}})</span>
        <br>
        <span class="left floated time">Reservation date: {{this.reservation.date | date}}</span>
      </div>
      <div class="right floated description">
        <span>Reservation status: </span>
        <span [style]="{color : this.reservation.status == 'UNRESOLVED'? 'darkorange':'green'}">{{this.reservation.status}}</span>
      </div>
    </div>
    <button class="ui floated button" [ngClass]="{ disabled: this.reservation.status == 'APPROVED' }" (click)="approveReservation()">Approve</button>
</div>
